Name:           perl-Term-Clui
Version:        1.71
Release:        2%{?dist}
Summary:        Perl module offering a Command-Line User Interface
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/Term-Clui/
Source0:        http://www.cpan.org/authors/id/P/PJ/PJB/Term-Clui-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Term::ReadKey)
BuildRequires:  perl(Term::ReadLine::Gnu)
BuildRequires:  perl(Term::Size)
BuildRequires:  perl(Test::Simple)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
Requires:       perl(Term::ReadKey)
Requires:       perl(Term::ReadLine::Gnu)
Requires:       perl(Term::Size)
Requires:       perl(strict)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%{?perl_default_filter}

%description
Term::Clui offers a high-level user interface to give the user of command-
line applications a consistent "look and feel". Its metaphor for the
computer is as a human-like conversation-partner, and as each
question/response is completed it is summarised onto one line, and remains
on screen, so that the history of the session gradually accumulates on the
screen and is available for review, or for cut/paste. This user interface
can therefore be intermixed with standard applications which write to
STDOUT or STDERR, such as make, pgp, rcs etc.

%prep
%setup -q -n Term-Clui-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README examples
%{perl_vendorlib}/Term*
%{_mandir}/man3/Term*

%changelog
* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.71-2
- Perl 5.26 rebuild

* Mon Feb 06 2017 Emmanuel Seyman <emmanuel@seyman.fr> - 1.71-1
- Update to 1.71

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.70-5
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.70-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.70-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Jun 04 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.70-2
- Perl 5.22 rebuild

* Tue Apr 21 2015 Emmanuel Seyman <emmanuel@seyman.fr> -  1.70-1
- Update to 1.70
- Minor improvements to the spec file

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.68-5
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.68-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Oct 16 2013 Kostas Georgiou <georgiou@opengamma.com> 1.68-3
- use DESTDIR instead of PERL_INSTALL_ROOT at install

* Wed Oct 16 2013 Kostas Georgiou <georgiou@opengamma.com> 1.68-2
- Review changes/fixes #1018859.

* Wed Oct 02 2013 Kostas Georgiou <georgiou@opengamma.com> 1.68-1
- Specfile autogenerated by cpanspec 1.78.
